Skip to content

List all campaigns

Request

OAuth 2.0 scope:
  • okta.governance.accessCertifications.read
Admin roles:
  • ACCESS_CERTIFICATIONS_ADMIN

Lists all campaigns in your org, or a subset of campaigns based on the filter query parameter

Query
filterstring

Apply supported campaign filtering properties to narrow down the campaign results.

The following campaign properties are supported for filtering: name, status, scheduleType, reviewerType, startDate, endDate, and recurringCampaignId.

Note: Query parameter percent encoding is required. See Percent-encoding

Examples:
Filter by campaign name
filter=name eq "Sales Review"
Filter by campaign status
filter=status eq "SCHEDULED"
Filter by multiple campaign statuses
filter=status eq "COMPLETED" OR status eq "SCHEDULED"
Filter by start date
filter=startDate gt "2022-05-24T14:15:22Z"
Filter by end date
filter=endDate gt "2022-05-24T14:15:22Z"
Filter by ONE_OFF schedule type
filter=scheduleType eq ONE_OFF
Filter by RECURRING schedule type
filter=scheduleType eq RECURRING
Filter by USER reviewer type
filter=reviewerType eq USER
Filter by GROUP reviewer type
filter=reviewerType eq GROUP
Filter by RESOURCE_OWNER reviewer type
filter=reviewerType eq RESOURCE_OWNER
Filter by MULTI_LEVEL reviewer type
filter=reviewerType eq MULTI_LEVEL
Filter by recurring campaign ID
filter=recurringCampaignId eq "icijNW29nev6qyksD0g1"
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
orderByArray of strings, = 1 items

Apply an ordering of campaigns by specifying a supported campaign property name with asc or desc suffix for either ascending or descending order.

The following properties are supported for ordering: name, created, startDate, endDate, and status. By default, the results are sorted by ascending created date.

Note: Query parameter percent encoding is required. See Percent-encoding

Default:["created asc"]
Examples:
Order by descending name
orderBy=name desc
Order by descending created date
orderBy=created desc
Order by descending start date
orderBy=startDate desc
Order by descending end date
orderBy=endDate desc
Order by descending status
orderBy=status desc
curl -i -X GET \
  'https://subdomain-okta.login.adsbillinghub.com/governance/api/v1/campaigns?filter=name%20eq%20%22Sales%20Review%22&after=00u68w6vzKLultXS97g6&limit=20&orderBy=name%20desc'

Responses

A successful campaign list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(campaign-sparse)required

Sparse representation of a Campaign resource.

Response

The list of campaigns which is filtered by specific name of the campaign

{ "data": [ { … }, { … } ], "_links": { "next": { … }, "self": { … } } }